FORMAT: 1A
HOST: https://api.documentation.id

# Mini Project API Documentation

# Group Public API

## Auth [/login]

### Auth Login [POST]
API for login.

+ email (string, required)
+ password (string, required)

+ Request
    + Headers
        Accept: application/json
    + Body
        {
            "email": "user@apib.id",
            "password": "inipassword"
        }

+ Response 200
    + Headers
        Content-Type: application/json
    + Body
        {
                "message": "success"
        }
+ Response 402
    + Body
        {
                "message": "Invalid Parameter - Email is required"
        }

# Group User

## Get User [/user{?limit}{&page}]

+ Parameters
    + limit (number, optional)
        Bernilai antara 1 hingga 500.
        + Default: `10`
        
    + page (number, optional)
        Nilai dari halaman yang ingin ditampilkan.
        + Default: `1`

### Get User [GET]
Get all user.

+ Request
    + Headers
        Accept: application/json
        Authorization: Bearer {TOKEN}

+ Response 200
    + Headers
        Content-Type: application/json
    + Body
        {
                "message": "success",
                "data": [
                                {
                                        "id": 1,
                                        "email": "user1@apib.id",
                                        "full_name": "Apib User 1",
                                        "is_active": true
                                },
                                {
                                        "id": 2,
                                        "email": "user2@apib.id",
                                        "full_name": "Apib User 2",
                                        "is_active": true
                                },
                        ]
        }
+ Response 500
    + Headers
        Content-Type: application/json
    + Body
        {
                "message": "Internal Server Error"
        }

## Create User [/user]

### Create User [POST]
Create User.

+ email (string, required)
+ full_name (string, required)
+ is_active (boolean, required)

+ Request
    + Headers
        Accept: application/json
        Authorization: Bearer {token}
    + Body
        {
            "email": "user@apib.id",
            "full_name": "Apib User",
            "is_active": true
        }

+ Response 200
    + Headers
        Content-Type: application/json
    + Body
        {
                "message": "success"
        }
+ Response 402
    + Body
        {
                "message": "Invalid Parameter - Email is required"
        }

## Update and Delete User [/user/{id}]

+ Parameters
    + id: 1 (number, required) - An unique identifier of the message.

### Delete User [DELETE]
Delete User.

+ Request
    + Headers
        Accept: application/json
        Authorization: Bearer {token}

+ Response 200
    + Headers
        Content-Type: application/json
    + Body
        {
                "message": "success"
        }
+ Response 404
    + Body
        {
                "message": "Data not found"
        }

### Update User [PUT]
Update User.

+ email (string, required)
+ full_name (string, required)
+ is_active (boolean, required)

+ Request
    + Headers
        Accept: application/json
        Authorization: Bearer {token}
    + Body
        {
            "email": "user@apib.id",
            "full_name": "Apib User",
            "is_active": true
        }

+ Response 200
    + Headers
        Content-Type: application/json
    + Body
        {
                "message": "success"
        }
+ Response 402
    + Body
        {
                "message": "Invalid Parameter - Email is required"
        }